Loading...
Searching...
No Matches
std::hash< urng_t > Struct Template Reference
Alphabet » Range

Struct for hashing a range of characters. More...

`#include <seqan3/alphabet/range/hash.hpp>`

Inheritance diagram for std::hash< urng_t >:
[legend]

## Public Member Functions

T | hash (T... args)
template<std::ranges::input_range urng2_t> requires seqan3::semialphabet<std::ranges::range_reference_t<urng2_t>>
size_t | operator() (urng2_t &&range) const noexcept
| Compute the hash for a range of characters.

## Detailed Description

template<std::ranges::input_range urng_t>
requires seqan3::semialphabet<std::ranges::range_reference_t<urng_t>>
struct std::hash< urng_t >

Struct for hashing a range of characters.

Template Parameters

  urng_t | The type of the range; Must model std::ranges::input_range and the reference type of the range of the range must model seqan3::semialphabet.

This entity is experimental and subject to change in the future. Experimental since version 3.1.

## Member Function Documentation

## operator()()

template<std::ranges::input_range urng_t>
template<std::ranges::input_range urng2_t>
requires seqan3::semialphabet<std::ranges::range_reference_t<urng2_t>>

size_t std::hash< urng_t >::operator() | ( | urng2_t && | range | ) | const

inline noexcept

Compute the hash for a range of characters.

Template Parameters

  urng2_t | The same as urng_t (+- cvref); used to get forwarding reference in the interface.

Parameters

  [in] | range | The input range to process. Must model std::ranges::input_range and the reference type of the range of the range must model seqan3::semialphabet.

Returns
  size_t.

This entity is experimental and subject to change in the future. Experimental since version 3.1.

The documentation for this struct was generated from the following file:

- range/hash.hpp

Hide me